# tableType_s Struct Reference

Collaboration diagram for tableType_s:
[legend]

## Data Fields
const char *const | key
const int | hasCanon
const int | hasTranslate
struct machEquivTable_s | equiv
struct machCache_s | cache
defaultEntry | defaults
canonEntry | canons
int | defaultsLength
int | canonsLength

## Detailed Description

Definition at line 72 of file rpmrc.c.

## Field Documentation

const char* const tableType_s::key

Definition at line 73 of file rpmrc.c.

Referenced by rebuildCompatTables().

const int tableType_s::hasCanon

Definition at line 74 of file rpmrc.c.

const int tableType_s::hasTranslate

Definition at line 75 of file rpmrc.c.

struct machEquivTable_s tableType_s::equiv`[read]`

Definition at line 76 of file rpmrc.c.

Referenced by machAddEquiv(), rebuildCompatTables(), rpmFreeRpmrc(), and rpmShowRC().

struct machCache_s tableType_s::cache`[read]`

Definition at line 77 of file rpmrc.c.

Referenced by rebuildCompatTables(), and rpmFreeRpmrc().

defaultEntry tableType_s::defaults

Definition at line 78 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

canonEntry tableType_s::canons

Definition at line 79 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

int tableType_s::defaultsLength

Definition at line 80 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

int tableType_s::canonsLength

Definition at line 81 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

The documentation for this struct was generated from the following file:

- lib/rpmrc.c